Commit be49a3f7 authored by Joachim Breitner's avatar Joachim Breitner

Typo in help for --allow-older

parent 77d41d1a
......@@ -579,7 +579,7 @@ configureExOptions _showOrParseArgs src =
, optionSolver configSolver (\v flags -> flags { configSolver = v })
, option [] ["allow-older"]
("Ignore upper bounds in all dependencies or DEPS")
("Ignore lower bounds in all dependencies or DEPS")
(fmap unAllowOlder . configAllowOlder)
(\v flags -> flags { configAllowOlder = fmap AllowOlder v})
(optArg "DEPS"
......
......@@ -397,13 +397,13 @@ newtype AllowOlder = AllowOlder { unAllowOlder :: RelaxDeps }
-- (respectively).
data RelaxDeps =
-- | Ignore upper bounds in some (or no) dependencies on the given packages.
-- | Ignore upper (resp. lower) bounds in some (or no) dependencies on the given packages.
--
-- @RelaxDepsSome []@ is the default, i.e. honor the bounds in all
-- dependencies, never choose versions newer than allowed.
-- dependencies, never choose versions newer (resp. older) than allowed.
RelaxDepsSome [RelaxedDep]
-- | Ignore upper bounds in dependencies on all packages.
-- | Ignore upper (resp. lower) bounds in dependencies on all packages.
--
-- __Note__: This is should be semantically equivalent to
--
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment